a=0.02;
b=0.2;
c=-51.3055;
d=2.5222;
v=-65; % initial u
u=b.*v; % initial v
firings=[];
V=[];

for t=1:1000 % 1 second of sim
	I=5; % input current
	fired=find(v>=30); % spike times
	firings=[firings; t+0*fired,fired];
	v(fired)=c(fired);
	u(fired)=u(fired)+d(fired);
	v=v+0.5*(0.04*v.^2+5*v+140-u+I); % step size of 0.5 ms
	v=v+0.5*(0.04*v.^2+5*v+140-u+I);
	u=u+a.*(b.*v-u);                
    V=[V;v];
end;

V(find(V>20))=20; % resize peaks
plot(V)